Skip to main content

Create an enterprise role

POST 

/nevisidm/api/core/v1/:clientExtId/eroles

Since: 2.75.2, 2.76.0

Required permission(s): AccessControl.EnterpriseRoleCreate

Creates a new enterprise role for the client with the given external ID.

If no external ID is provided, one is generated automatically. The enterprise role name must be unique within the client and conform to the configured identifier naming policy. The newly created enterprise role is empty and has no roles assigned.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123

Body

required
    extId string

    The external ID of the enterprise role. If not provided, one is generated automatically.

    name stringrequired

    Possible values: non-empty

    The name of the enterprise role.

    description string

    The textual description of the enterprise role.

    displayName object

    The language-dependent display name of the enterprise role. Keys: EN, DE, FR, IT.

    property name* string

Responses

Enterprise role created successfully

Response Headers
  • Location any

    URL of the created resource

Loading...